package test;

import javax.annotation.Resource;
import javax.jws.WebService;
import javax.servlet.ServletContext;
import javax.xml.ws.WebServiceContext;
import javax.xml.ws.handler.MessageContext;

@WebService(serviceName = "WebServiceInJar")
public class WebServiceInJar {

    @Resource
    private WebServiceContext wsContext;

    public String checkWsContext() {
        String result = "JAR: wsContext: " + wsContext;
        if (wsContext != null) {
            ServletContext servletContext =
                    (ServletContext) wsContext.getMessageContext().get(MessageContext.SERVLET_CONTEXT);
            result += ", JAR: servletContext: " + servletContext;
        }
        System.out.println(result);
        return result;
    }
}
